/**
 * api
 * 礼品管理
 */
import getFetch from './get-fetch.js';
import config, { welfarePrefix, commonPrefix } from '@/config';


// 礼品相关接口
let realGift = {
  getGiftId: '/gift/get-gift-id', // 随机返回一个Id
  giftGet: '/gift/get', // 新建/编辑礼品时获取数据
  giftSave: {
    // 新增礼品
    url: '/gift/save',
    method: 'post'
  },
  giftUpdate: {
    // 编辑礼品
    url: '/gift/update',
    method: 'post'
  },
  giftPage: {
    // 礼品列表
    url: '/gift/page',
    method: 'post'
  },
  giftStockRecord: '/gift/stock-record', // 库存记录
  giftStockLog: '/gift/stock-record-log', // 库存操作记录
  giftActivity: '/gift/activity-statistics', // 活动统计
  giftTemplateDownload: '/gift/template-download', // 下载模板
  giftTemplateUpload: '/gift/template-upload', // 上传模板
  giftBatchUpdate: {
    // 礼品批量操作
    url: '/gift/batch-update',
    method: 'post'
  },
  giftStandardNew: '/gift/spec-save', // 规格新建
  giftStandardList: '/gift/spec-list', // 规格查询
  giftStandardValueNew: '/gift/spec-value-save', // 规格值新建
  giftStandardValueList: '/gift/spec-value-list', // 规格值查询
  virtualCardList: '/gift/vir-card-page', // 虚拟礼品卡券卡密列表
  virtualUploadLog: {
    url: '/gift/vir-card-log-page',
    method: 'post'
  }, // 库存上传记录
  batchUpdate: {
    url: '/gift/batch-update',
    method: 'post'
  }, // 批量操作
  realCostUpdate: {
    url: '/gift/real-cost-updat',
    method: 'post'
  }, // 实物礼品调整成本
  realStockUpdate: {
    url: '/gift/real-stock-update',
    method: 'post'
  }, // 实物礼品调整库存
  getPickupList: '/pickup/get-pickup-list', // 获取自提点列表
  getGiftShopList: '/gift/get-gift-shop-list', // 获取当前礼品的自提点
  updateName: '/gift/update-name', // 修改礼品名称
  virtualGiftUpload: {
    url: '/gift/vir-gift-upload',
    useFormData: true,
  }, // 虚拟礼品卡密卡号上传
};
realGift = getFetch(realGift, welfarePrefix);

export default { ...realGift };


// export const downloadCouponCSV = config.api + marketPrefix + '/download-code-csv-template'; // 下载导入GIC券号csv示例文件  TODO:
// export const importCode = config.api + marketPrefix + '/import-gic-custom-code'; // 导入券码 TODO:
// export const importDestoryCode = marketPrefix + '/destroy-plugin/import-destroy-code'; // 上传销毁code列表 TODO:
// export const downloadDestroyCodeTemplate = config.api + marketPrefix + '/destroy-plugin/download-destroy-code-template'; // 下载销毁模板示例 TODO:
export const getGiftLoginUser = config.api + commonPrefix + '/user/get-login-user'; // 获取商户名称
